unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, DBGrids, ExtCtrls, DBCtrls, StdCtrls, Mask, Buttons;

type
  TMainForm = class(TForm)
    Panel1: TPanel;
    QueryOrderBtn: TSpeedButton;
    QueryItemBtn: TSpeedButton;
    QueryDataSet: TSpeedButton;
    DBNavigator: TDBNavigator;
    Panel2: TPanel;
    ScrollBox: TScrollBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label5: TLabel;
    EditOrderNo: TDBEdit;
    EditSaleDate: TDBEdit;
    DBLCustomerName: TDBLookupComboBox;
    DBLEmpName: TDBLookupComboBox;
    GroupBox1: TGroupBox;
    Label4: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    EditShipDate: TDBEdit;
    EditShipToContact: TDBEdit;
    EditShipToAddr: TDBEdit;
    EditShipToAddr2: TDBEdit;
    EditShipToCity: TDBEdit;
    EditShipToState: TDBEdit;
    EditShipToZip: TDBEdit;
    EditShipToCountry: TDBEdit;
    EditShipToPhone: TDBEdit;
    DBCShipVia: TDBComboBox;
    GroupBox2: TGroupBox;
    Label15: TLabel;
    Label16: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    Label17: TLabel;
    DBRTerms: TDBRadioGroup;
    EditItemsTotal: TDBEdit;
    EditPO: TDBEdit;
    EditTaxRate: TDBEdit;
    EditFreight: TDBEdit;
    EditAmountPaid: TDBEdit;
    DBCPayment: TDBComboBox;
    Panel3: TPanel;
    ItemGrid: TDBGrid;
    procedure QueryOrderBtnClick(Sender: TObject);
    procedure QueryItemBtnClick(Sender: TObject);
    procedure QueryDataSetClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

uses DataMod;

{$R *.DFM}

procedure TMainForm.QueryOrderBtnClick(Sender: TObject);
begin
	OrderDataModule.QueryOrders(Self);  //Self = MainForm
end;

procedure TMainForm.QueryItemBtnClick(Sender: TObject);
begin
	OrderDataModule.QueryItems(ItemGrid);
end;

procedure TMainForm.QueryDataSetClick(Sender: TObject);
begin
	OrderDataModule.QueryOrdersDataSet;
end;

end.
